Bug 328981 - Review Request: ccsm - Plugin and configuration tool - Compiz Fusion Project
Review Request: ccsm - Plugin and configuration tool - Compiz Fusion Project
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On: 247408
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-12 01:00 EDT by Mohd Izhar Firdaus Ismail
Modified: 2011-04-03 23:51 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-27 10:24:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mohd Izhar Firdaus Ismail 2007-10-12 01:00:57 EDT
Spec URL: http://izhar.fedorapeople.org/ccsm/ccsm.spec
SRPM URL: http://izhar.fedorapeople.org/ccsm/ccsm-0.6.0-1.34443b.fc8.src.rpm
Description: 

The Compiz Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
though plugins and themes contributed by the community giving a
rich desktop experience.

This package contains a gui configuration tool to configure Compiz
plugins and the composite window manager.


Other:
I need a sponsor
Comment 1 Mamoru TASAKA 2007-10-17 03:29:38 EDT
(removing NEEDSPONSOR)
Comment 2 Mohd Izhar Firdaus Ismail 2007-10-17 22:27:48 EDT
today's update

http://izhar.fedorapeople.org/ccsm/ccsm-0.6.0-0.2.20071018gita7fa7d.fc8.src.rpm
Comment 3 Thomas J. Baker 2007-10-18 09:02:24 EDT
Do you also plan to add the desktop specific backends like gconf? That seems
like it would make the most sense since default compiz uses gconf under gnome at
least.
Comment 4 Thorsten Leemhuis 2007-10-18 12:02:40 EDT
I needed ccsm today and recompiled the srpm; worked fine, but it seems the BR on
intltool is superfluous (intltool is needed, but included)
Comment 5 Mohd Izhar Firdaus Ismail 2007-10-18 21:12:06 EDT
(In reply to comment #4)
> I needed ccsm today and recompiled the srpm; worked fine, but it seems the BR on
> intltool is superfluous (intltool is needed, but included)

I have removed the unnecessary buildreqs ..

http://izhar.fedorapeople.org/ccsm/ccsm-0.6.0-0.3.20071018gita7fa7d.fc8.src.rpm

(In reply to comment #3)
> Do you also plan to add the desktop specific backends like gconf? That seems
> like it would make the most sense since default compiz uses gconf under gnome at
> least.

bug 339021
Comment 6 Mamoru TASAKA 2007-10-20 07:30:41 EDT
For 0.6.0-0.3.XXXX:

! rpmlint issue:
-------------------------------------------------------
# rpmlint ccsm
ccsm.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/ccm/Constants.py 0644
ccsm.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/ccm/Conflicts.py 0644
ccsm.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/ccm/Settings.py 0644
ccsm.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/ccm/Widgets.py 0644
ccsm.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/ccm/Window.py 0644
ccsm.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/ccm/Utils.py 0644
ccsm.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/ccm/Pages.py 0644
ccsm.noarch: E: invalid-desktopfile /usr/share/applications/ccsm.desktop
--------------------------------------------------------
* non-executable-script
  - These files have shebangs but do not have executable permissions.
    So either
    - remove shebangs from these files (for this package, this should
      be applied)
    - or set executable permissions on these files.

* invalid-desktopfile
  - First, desktop file must be installed by desktop-file-install
    (BR: desktop-file-utils is needed). Please refer to
    the section "Desktop files" of
    http://fedoraproject.org/wiki/Packaging/Guidelines
    You can use "--delete-original" option
  - And this desktop file is invalid.
--------------------------------------------------------
# desktop-file-validate /usr/share/applications/ccsm.desktop 
/usr/share/applications/ccsm.desktop: warning: key "Encoding" in group "Desktop
Entry" is deprecated
/usr/share/applications/ccsm.desktop: error: value
"Compiz;Settings;DesktopSettings;" for key "Categories" in group "Desktop Entry"
contains an unregistered value "Compiz"
--------------------------------------------------------
    Here "Encoding" entry can be there, however "Compiz" category
    is invalid and this should be removed (you can use "--remove-category"
    option).

! setup.py
  - Not a blocker, however I prefer "python setup.py build", for example.

* Directory ownership issue
  - Please make it sure that all directories created by this package are
    correctly owned by this package.
--------------------------------------------------------
%{_datadir}/ccsm/
%{_datadir}/ccsm/images/
%{python_sitelib}/ccm/
--------------------------------------------------------
  ! Note:
    When you write
--------------------------------------------------------
%files
%{_datadir}/ccsm/
--------------------------------------------------------
    This contains the directory %_datadir/ccsm itself 
    and all files/directories under %_datadir/ccsm, 
    while when you write
--------------------------------------------------------
%files
%dir %{_datadir}/ccsm/
--------------------------------------------------------
    This contains the directory %_datadir/ccsm only.

* Documents
  - As said in another review request, "INSTALL" file is
    usually not needed.

* Calling update-desktop-database
  - is needed when desktop files to be installed in this package
    have Mimetype keys (c.f. section "desktop-database" of
    http://fedoraproject.org/wiki/Packaging/ScriptletSnippets )
Comment 7 Mohd Izhar Firdaus Ismail 2007-10-20 22:07:03 EDT
thank you .. i was wondering which action should be taken on the
non-executable-script error

rpmlint is now silent 

upstream just released official tarball half an hour ago

http://izhar.fedorapeople.org/ccsm/ccsm-0.6.0-1.fc8.src.rpm
Comment 8 Mamoru TASAKA 2007-10-21 01:56:10 EDT
2 things need fixing

? %exclude %{_datadir}/applications/ccsm.desktop
  - Check if this is really needed.
    "desktop-file-install --delete-original" should remove
    this file.

* Icon path
  - I tried 0.6.0-1 of ccsm, then I noticed that none of
    the icons appear on ccsm dialog.

    The following line of Constants.py needs fixing.
-------------------------------------------------------------
    52  # Paths
    53  #
!!  54  DataDir = "/usr/local/share"
    55  IconDir = DataDir+"/icons/hicolor/scalable"
    56  PixmapDir = DataDir+"/ccsm/images"
    57  
-------------------------------------------------------------
Comment 9 Mohd Izhar Firdaus Ismail 2007-10-21 02:56:12 EDT
(In reply to comment #8)
> 2 things need fixing
> 
> ? %exclude %{_datadir}/applications/ccsm.desktop
>   - Check if this is really needed.
>     "desktop-file-install --delete-original" should remove
>     this file.

yes .. as it desktop-file-install creates a new .desktop file with the name
fedora-ccsm.desktop (vendorID "fedora") and it does not replace ccsm.desktop

> 
> * Icon path
>   - I tried 0.6.0-1 of ccsm, then I noticed that none of
>     the icons appear on ccsm dialog.
> 
>     The following line of Constants.py needs fixing.
> -------------------------------------------------------------
>     52  # Paths
>     53  #
> !!  54  DataDir = "/usr/local/share"
>     55  IconDir = DataDir+"/icons/hicolor/scalable"
>     56  PixmapDir = DataDir+"/ccsm/images"
>     57  
> -------------------------------------------------------------

seems like the remove shebang patch somehow causes this .. anyway, patched
setup.py to make /usr as the default prefix .. the icons appears working at my
side from the below SRPM ..

http://izhar.fedorapeople.org/ccsm/ccsm-0.6.0-2.fc8.src.rpm
Comment 10 Mamoru TASAKA 2007-10-21 03:03:24 EDT
(In reply to comment #9)
> (In reply to comment #8)
> > 2 things need fixing
> > 
> > ? %exclude %{_datadir}/applications/ccsm.desktop
> >   - Check if this is really needed.
> >     "desktop-file-install --delete-original" should remove
> >     this file.
> 
> yes .. as it desktop-file-install creates a new .desktop file with the name
> fedora-ccsm.desktop (vendorID "fedora") and it does not replace ccsm.desktop

Oh, I meant
-----------------------------------------------------------------------
desktop-file-install \
      --vendor="fedora" \
      --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
      --remove-category="Compiz" \
      --delete-original
      $RPM_BUILD_ROOT%{_datadir}/applications/ccsm.desktop
------------------------------------------------------------------------
This should work.
Comment 11 Mamoru TASAKA 2007-10-21 03:04:17 EDT
(In reply to comment #10)

The correct one is:
-----------------------------------------------------------------------
desktop-file-install \
       --vendor="fedora" \
       --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
       --remove-category="Compiz" \
       --delete-original \
       $RPM_BUILD_ROOT%{_datadir}/applications/ccsm.desktop
------------------------------------------------------------------------
> This should work.

Comment 12 Mohd Izhar Firdaus Ismail 2007-10-21 10:55:19 EDT
ok done

http://izhar.fedorapeople.org/ccsm/ccsm-0.6.0-3.fc8.src.rpm
Comment 13 Mamoru TASAKA 2007-10-21 11:59:14 EDT
Okay.

------------------------------------------------------------
   This package (ccsm) is APPROVED by me
------------------------------------------------------------
Comment 14 Mohd Izhar Firdaus Ismail 2007-10-21 12:34:49 EDT
New Package CVS Request
=======================
Package Name: ccsm
Short Description: Plugin and configuration tool - Compiz Fusion Project
Owners: izhar
Branches: F-8 Devel
InitialCC: izhar
Cvsextras Commits: yes
Comment 15 Mamoru TASAKA 2007-10-21 12:44:04 EDT
One thing I forgot to mention:

( Please fix when you commit to CVS )
* ExcludeArch
  - Although this package is noarch, as this package depends on
    compizconfig-python, please write in your spec file:
    "ExcludeArch: ......".

Ref:
https://www.redhat.com/archives/fedora-devel-list/2007-October/msg00262.html
Comment 16 Kevin Fenzi 2007-10-21 12:49:38 EDT
cvs done.
Comment 17 Neal Becker 2007-10-26 11:35:49 EDT
I built/installed this package, but I don't understand how it's supposed to 
work.  I can choose lots of nice options in the gui, but there doesn't seem to 
be any 'apply' button.  Other than clicking buttons in the gui, how do I get 
ccsm to actually DO something?
Comment 18 Mohd Izhar Firdaus Ismail 2007-10-26 12:20:16 EDT
the configs are applied immediately .. just change the options and try it out .. 

eg: enable the cube reflection plugin, then rotate the cube.. you'll see the changes
Comment 19 Mamoru TASAKA 2007-10-26 12:49:21 EDT
If you found some problem on ccsm, please file a new bug report
and write there.
Comment 20 Mamoru TASAKA 2007-10-27 10:24:11 EDT
Closing for now.
Comment 21 leigh scott 2011-04-01 11:56:23 EDT
Hi Mohd Izhar,

Is it ok for me to request a epel6 branch?

https://bugzilla.redhat.com/show_bug.cgi?id=677365

Thanks

Leigh
Comment 22 leigh scott 2011-04-01 13:41:07 EDT
Package Change Request
======================
Package Name: ccsm
New Branches: el6
Owners: leigh123linux
Comment 23 Jason Tibbitts 2011-04-03 23:51:53 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.